Bug 1698070 - Openshift installer on vsphere hangs indefinitely waiting for IP addresses
Summary: Openshift installer on vsphere hangs indefinitely waiting for IP addresses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Matthew Staebler
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-09 14:40 UTC by Hemant Kumar
Modified: 2019-06-04 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:25 UTC

Description Hemant Kumar 2019-04-09 14:40:09 UTC
I have had installer not working and hanging on refreshing route53 routes when running on vsphere.

I am told this is because of ipam server not having enough ip addresses.

Comment 1 Abhinav Dahiya 2019-04-09 16:40:18 UTC
(In reply to Hemant Kumar from comment #0)
> I have had installer not working and hanging on refreshing route53 routes
> when running on vsphere.

Can you please provide logs from the terraform that show route53 getting _stuck_

> 
> I am told this is because of ipam server not having enough ip addresses.

Comment 2 Hemant Kumar 2019-04-09 16:41:38 UTC
```data.aws_route53_zone.base: Refreshing state...```

More logs are here - https://gist.github.com/gnufied/86cce1aa41b91b8a5c852681db1f2d6e

Comment 3 Matthew Staebler 2019-04-11 19:53:34 UTC
This is waiting for IP addresses, when there are none available. It is not waiting for route53.

https://github.com/openshift/installer/pull/1600 times out the wait after 1 minute.

Comment 5 Gaoyun Pei 2019-04-23 06:09:52 UTC
This bug was verified with 4.1.0-0.nightly-2019-04-18-210657

# ./openshift-install version
./openshift-install v4.1.0-201904181302-dirty
built from commit b79562d600f72d0f70aa1514b01e6c07da4dcc8a
release image registry.svc.ci.openshift.org/origin/release:v4.1


When it's out of IP addresses for IPAM server, `terraform apply` would fail with "no available addresses" error prompt.

# terraform apply -auto-approve

Error: Error applying plan:

5 error(s) occurred:

* module.compute.null_resource.ip_address[1]: Error running command 'echo '{"network":"...
/vsphere/.terraform/modules/f7b2e41e9f91e814a4b3a18b18d5d554/cidr_to_ip.sh
': exit status 1. Output: could not reserve an IP address: no available addresses

Comment 7 errata-xmlrpc 2019-06-04 10:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.